#include "HelloWorldScene.h"
#include "AppMacros.h"

USING_NS_CC;


Scene* HelloWorld::scene()
{
    auto scene = Scene::create();
    
    HelloWorld *layer = HelloWorld::create();

    scene->addChild(layer);

    return scene;
}

bool HelloWorld::init()
{
    if ( !Layer::init() )
    {
        return false;
    }
    
    auto visibleSize = Director::getInstance()->getVisibleSize();
    auto origin = Director::getInstance()->getVisibleOrigin();
    
    auto topPosition = Vec2(visibleSize.width * 0.5, visibleSize.height-75);
    auto sprite = Sprite::create("Space.jpg");
    sprite->setPosition(topPosition);
    addChild(sprite);

    auto label = Label::createWithTTF("1234567890asd", "Normal.ttf", 30);
    label->setColor(Color3B(123, 49, 19));
    label->setPosition(150, visibleSize.height - 25);
    addChild(label);

    auto renderTexture = RenderTexture::create(visibleSize.width, visibleSize.height);
    renderTexture->begin();
    visit();
    renderTexture->end();
    addChild(renderTexture);
    renderTexture->setPosition(visibleSize.width * 0.5, 0);
    renderTexture->saveToFile("test.png");

    return true;
}
